Package io.dapr.v1

# Interface DaprProtos.GetStateResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetStateResponse`, `DaprProtos.GetStateResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetStateResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata which will be sent to app.
`com.google.protobuf.ByteString`
`getData()`
The byte array data
`String`
`getEtag()`
The entity tag which represents the specific version of data.
`com.google.protobuf.ByteString`
`getEtagBytes()`
The entity tag which represents the specific version of data.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata which will be sent to app.
`Map<String,String>`
`getMetadataMap()`
The metadata which will be sent to app.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata which will be sent to app.
`String`
`getMetadataOrThrow(String key)`
The metadata which will be sent to app.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getData

com.google.protobuf.ByteString getData()

     The byte array data

`bytes data = 1;`

Returns:
  The data.

### getEtag

String getEtag()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 2;`

Returns:
  The etag.

### getEtagBytes

com.google.protobuf.ByteString getEtagBytes()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 2;`

Returns:
  The bytes for etag.

### getMetadataCount

int getMetadataCount()

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata which will be sent to app.

`map<string, string> metadata = 3;`